<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Entity\User;
use Doctrine\ORM\EntityManager;
use Doctrine\ORM\EntityManagerInterface;

class CreateUser extends Command
{
    /**
     * EntityManager
     */
    protected $em;

    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'user:create';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Create user';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct(EntityManagerInterface $em)
    {
        $this->em = $em;
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
      $name = $this->ask('Enter user name:');
      $password = $this->ask('Enter user password:');
      $info = $this->ask('Enter user info:');
      $user = new User([
        'name' => $name,
        'password' => $password,
        'info' => $info
      ]);
      $this->em->persist($user);
      $this->em->flush();
    }
}
