<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Doctrine\ORM\EntityManager;
use Doctrine\ORM\EntityManagerInterface;

class UpdateUser extends Command
{
    /**
     * EntityManager
     */
    protected $em;

    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'user:update';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Update user';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct(EntityManagerInterface $em)
    {
        $this->em = $em;
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
      $name = $this->ask('Enter user name:');
      $user = $this->em->getRepository('App\Entity\User')->findBy([
        'name' => $name,
      ]);
      //$em->getRepository(Task::class)->find($taskId);
      if (!is_null($user)) {
        $info = $this->ask('Enter user info:');
        $user = $user[0];
        $user->setInfo($info);
        $this->em->persist($user);
        $this->em->flush();
      } else {
        echo "User $name not found.";
      }
    }
}
