<?php
namespace App\Entity;
 
use Doctrine\ORM\Mapping as ORM;
use Illuminate\Foundation\Auth\User as Authenticatable;
 
/**
 * @ORM\Entity
 * @ORM\Table(name="users")
 * @ORM\HasLifecycleCallbacks()
 */
class User extends Authenticatable
{
    /**
     * @var integer $id
     * @ORM\Column(name="id", type="integer", unique=true, nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     *
     */
    private $id;
 
    /**
     * @ORM\Column(type="string")
     */
    private $name;
 
    /**
     * @ORM\Column(type="string")
     */
    private $password;
    
    /**
     * @ORM\Column(type="text")
     */
    private $info;
 
    public function __construct($input)
    {
        $this->setName($input['name']);
        $this->setPassword($input['password']);
        $this->setInfo($input['info']);
    }
 
    public function getId()
    {
        return $this->id;
    }
 
    public function getName()
    {
        return $this->name;
    }
 
    public function setName($name)
    {
        $this->name = $name;
    }
 
    public function getInfo()
    {
        return $this->info;
    }
 
    public function setInfo($info)
    {
        $this->info = $info;
    }

    public function getPassword()
    {
        return $this->password;
    }

    public function setPassword($password)
    {
        $this->password = hash('sha512', $password);
    }
}
